Subject: Re: igmpv3

From: Hal Sandick <[email-masked]>
Date: Wed, 01 Nov 2000 14:16:21 -0500

Isidor,

From my read I think the issue is that the sentence "If a router is not
explicitly configured to use  IGMPv1 and hears an IGMPv1 Query or IGMPv2 Query,
it SHOULD log a warning." implies that a igmpv2 query would trigger a warning.
Doesn't sound right.

regards,

Hal

Isidor Kouvelas wrote:

> There is no mechanism in IGMP to handle routers on the same LAN
> configured with different versions of IGMP. It is up to the
> administrator to make sure all the routers are configured with
> the same version. This is why the action upon detecting a
> missconfigured router is to log a warning.
>
> thanks
> I
>
> LEVIS Pierre FTRD/DMI/CAE writes:
> >Hi all,
> >
> >In section 7.3.1. of <draft-ietf-idmr-igmp-v3-04.txt> one can read: "If a
> >router is not explicitly configured to use IGMPv1 and hears an IGMPv1 Query
> >or IGMPv2 Query, it SHOULD log a warning." That would suggest that a router
> >explicitly configured to use IGMPv2 should log a warning when it hears an
> >IGMPv2 Query. I wonder if it is really what is intended and if so, why?
> >
> >Pierre